# ==================================================================
# Plugins::SecondDetailed - Auto Generated Install Module
#
#   Plugins::SecondDetailed
#   Author  : Ivan Herger
#   Version : 1.0.0
#   Updated : Sat Apr  6 13:59:48 2002
#
# ==================================================================
#

package Plugins::SecondDetailed;
# ==================================================================
    use strict;
    use vars  qw/$VERSION $DEBUG $NAME $META/;
    use GT::Base;
    use GT::Plugins qw/STOP CONTINUE/;
    use Links qw/$CFG $IN $DB/;

    $VERSION = '1.0.0';
    $DEBUG   = 0;
    $NAME    = 'SecondDetailed';
# Inhert from base class for debug and error methods
    @Plugins::SecondDetailed::ISA = qw(GT::Base);

    $META = {
    'prog_ver' => '2.1.0',
    'description' => 'Allows you to have to sets of detailed pages.',
    'license' => 'Commercial',
    'url' => 'http://www.iyengar-yoga.com/',
    'author' => 'Ivan Herger',
    'version' => '1.0.0'
};


sub pre_install {
# -------------------------------------------------------------------
# This function displays an HTML formatted message that will display
# to the user any instructions/information before they install
# the plugin.
#
    my $inst_msg = 'SecondDetailed is going to be installed.';

    return $inst_msg;
}

sub pre_uninstall {
# -------------------------------------------------------------------
# This function displays an HTML formatted message that will display
# to the user any instructions/information before they remove the
# plugin.
#
    my $uninst_msg = 'SecondDetailed is going to be uninstalled.';

    return $uninst_msg;
}

sub install {
# -------------------------------------------------------------------
# This function does the actual installation. It's first argument is
# a plugin manager which you can use to register hooks, install files,
# add menu options, etc. The second argument is a GT::Tar object which
# you can use to access any files in your plugin module.
#
# You should return an HTML formatted string that will be displayed 
# to the user.
#
# If there is an error, return undef, and set the error message in
# $Plugins::SecondDetailed::error
#
    my ($mgr, $tar) = @_;
    
    $mgr->install_hooks ( 'SecondDetailed', [ ['create_detailed', 'PRE', 'Plugins::SecondDetailed::create_second_detailed', 'FIRST'] ]);
    $mgr->install_hooks ( 'SecondDetailed', [ ['build_detailed', 'PRE', 'Plugins::SecondDetailed::build_second_detailed', 'FIRST'] ]);
    $mgr->install_options ( 'SecondDetailed', [ ['build_second_detailed', '1', 'Build second set of detailed pages:', 'SELECT', ['Yes','No'], ['1','0'], '' ] ] );

    return "The plugin has been successfully installed!";
}

sub uninstall {
# -------------------------------------------------------------------
# This function removes the plugin. It's first argument is
# also a plugin manager which you can use to register hooks, install files,
# add menu options, etc. You should return an HTML formatted string
# that will be displayed to the user.
#
# If there is an error, return undef, and set the error message in
# $Plugins::SecondDetailed::error
#
    my $mgr = shift;
    
    return "The plugin has been successfully removed!";
}

1;
